# Method: projects.locations.managementServers.list

- [HTTP request](https://docs.cloud.google.com/backup-disaster-recovery/docs/reference/rest/v1/projects.locations.managementServers/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/backup-disaster-recovery/docs/reference/rest/v1/projects.locations.managementServers/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/backup-disaster-recovery/docs/reference/rest/v1/projects.locations.managementServers/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/backup-disaster-recovery/docs/reference/rest/v1/projects.locations.managementServers/list#body.request_body)
- [Response body](https://docs.cloud.google.com/backup-disaster-recovery/docs/reference/rest/v1/projects.locations.managementServers/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/backup-disaster-recovery/docs/reference/rest/v1/projects.locations.managementServers/list#body.ListManagementServersResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/backup-disaster-recovery/docs/reference/rest/v1/projects.locations.managementServers/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/backup-disaster-recovery/docs/reference/rest/v1/projects.locations.managementServers/list#try-it)

Lists ManagementServers in a given project and location.

### HTTP request

Choose a location:
<button value="global" default="">global</button> <button value="africa-south1">africa-south1</button> <button value="asia-east1">asia-east1</button> <button value="asia-east2">asia-east2</button> <button value="asia-northeast1">asia-northeast1</button> <button value="asia-northeast2">asia-northeast2</button> <button value="asia-northeast3">asia-northeast3</button> <button value="asia-south1">asia-south1</button> <button value="asia-south2">asia-south2</button> <button value="asia-southeast1">asia-southeast1</button> <button value="asia-southeast2">asia-southeast2</button> <button value="australia-southeast1">australia-southeast1</button> <button value="australia-southeast2">australia-southeast2</button> <button value="europe-central2">europe-central2</button> <button value="europe-north1">europe-north1</button> <button value="europe-north2">europe-north2</button> <button value="europe-southwest1">europe-southwest1</button> <button value="europe-west1">europe-west1</button> <button value="europe-west2">europe-west2</button> <button value="europe-west3">europe-west3</button> <button value="europe-west4">europe-west4</button> <button value="europe-west6">europe-west6</button> <button value="europe-west8">europe-west8</button> <button value="europe-west9">europe-west9</button> <button value="europe-west10">europe-west10</button> <button value="europe-west12">europe-west12</button> <button value="me-central1">me-central1</button> <button value="me-central2">me-central2</button> <button value="me-west1">me-west1</button> <button value="northamerica-northeast1">northamerica-northeast1</button> <button value="northamerica-northeast2">northamerica-northeast2</button> <button value="northamerica-south1">northamerica-south1</button> <button value="southamerica-east1">southamerica-east1</button> <button value="southamerica-west1">southamerica-west1</button> <button value="us-central1">us-central1</button> <button value="us-central2">us-central2</button> <button value="us-east1">us-east1</button> <button value="us-east4">us-east4</button> <button value="us-east5">us-east5</button> <button value="us-east7">us-east7</button> <button value="us-south1">us-south1</button> <button value="us-west1">us-west1</button> <button value="us-west2">us-west2</button> <button value="us-west3">us-west3</button> <button value="us-west4">us-west4</button> <button value="us-west8">us-west8</button> <button value="us">us</button> <button value="eu">eu</button>   
`GET https://backupdr.googleapis.com/v1/{parent=projects/*/locations/*}/managementServers`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The project and location for which to retrieve management servers information, in the format 'projects/{projectId}/locations/{location}'. In Google Cloud Backup and DR, locations map to Google Cloud regions, for example **us-central1**. To retrieve management servers for all locations, use "-" for the '{location}' value. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. Requested page size. Server may return fewer items than requested. If unspecified, server will pick an appropriate default. |
| `pageToken` | `string` Optional. A token identifying a page of results the server should return. |
| `filter` | `string` Optional. Filtering results. |
| `orderBy` | `string` Optional. Hint for how to order the results. |

### Request body

The request body must be empty.

### Response body

Response message for listing management servers.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "managementServers": [ { object (`https://docs.cloud.google.com/backup-disaster-recovery/docs/reference/rest/v1/projects.locations.managementServers#ManagementServer`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `managementServers[]` | ``object (`https://docs.cloud.google.com/backup-disaster-recovery/docs/reference/rest/v1/projects.locations.managementServers#ManagementServer`)`` The list of ManagementServer instances in the project for the specified location. If the '{location}' value in the request is "-", the response contains a list of instances from all locations. In case any location is unreachable, the response will only return management servers in reachable locations and the 'unreachable' field will be populated with a list of unreachable locations. |
| `nextPageToken` | `string` A token identifying a page of results the server should return. |
| `unreachable[]` | `string` Locations that could not be reached. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).